<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio 8-2</title>
</head>
<style>
    body {
       margin: auto;
   }
   #contenedor{
       /*min-width: 320px;*/
       width: 95%;
      
   }
   form{
        width:50%;
        margin:0 auto;
        padding:20px;
        box-sizing: border-box;
        border:1px solid black;
    }

    #contenedor2{
        display: flex;
        flex-wrap: wrap;
        margin:0 auto;
  
    }
    #centro1 > *,input[type="checkbox"]{
            display: inline-block;
            width: 40%;
        }

    form input {
        width: 90%;
        display: block;
                         
    }
    #centro1{
        width: 50%;
        
        padding:20px;
        box-sizing: border-box;
    }
    #centro2{
        width: 50%;
        
        padding:20px;
        box-sizing: border-box;
    }
    #pie1{
        width: 50%;
        
        padding:20px;
        box-sizing: border-box;
    }
    #pie1 >*,input[value="Consultar"]{
        background-color: blue;
    }
    #pie2{
        width: 50%;
        
        padding:20px;
        box-sizing: border-box;
    }
 
    #centro2 input{
        width:50px;
        height:20px;
    }
</style>
<body>
    <div id="contenedor">
        <form>
        <H1>Formulario de Pedido</H1>
        <label>Usuario</label>
        <input type="email" placeholder="Email Address">
        <div id="contenedor2"> 
                <div id="centro1"> 
                    <label>Pantalon</label>
                    <input type="checkbox" checked> 
                    <label>Remera</label>
                    <input type="checkbox" checked>
                    <label>Campera</label> 
                    <input type="checkbox" checked> 
                </div>
                <div id="centro2">
                    <input type="number" id="quantity" name="quantity" min="0" max="10" step="1" value="1">
                    <input type="number" id="quantity" name="quantity" min="0" max="10" step="1" value="1">
                    <input type="number" id="quantity" name="quantity" min="0" max="10" step="1" value="1">
                </div>
                <div id="pie1">
                    <label>Codigo Promo</label><br>
                    <input type="text" placeholder="Ingrese el Codigo"><br><br>
                    <input type="submit" value="Consultar">

                </div>
                <div id="pie2">
                    <label>Fecha de Entrega</label><br>
                    <input type="datetime-local" min="2020-08-27T11:30" max="2020-09-27T11:30"><br><br>
                    <input type="submit" value="Comprar">
                </div>
                </div>
        </form>

    </div>
    
</body>
</html>